Create table user_external (
	id Int UNSIGNED NOT NULL AUTO_INCREMENT,
	username Varchar(50) NOT NULL,
	failedlogincount Int DEFAULT 0,
	lastfailedlogin Datetime,
	lastlogin Datetime,
	successips Varchar(500),
	failedips Varchar(500),
	UNIQUE (username),
 Primary Key (id)) ENGINE = MyISAM;
Create UNIQUE Index ind_username ON user_external (username);

Create table syslog (
	id Bigint UNSIGNED NOT NULL AUTO_INCREMENT,
	userid Int UNSIGNED,
	type Smallint UNSIGNED NOT NULL,
	createdate Datetime NOT NULL,
	fk1 Int UNSIGNED,
	username Varchar(50),
	text Varchar(500),
 Primary Key (id)) ENGINE = MyISAM;
Create Index ind_type ON syslog (type);
Create Index ind_userid ON syslog (userid);
Create Index ind_createdate ON syslog (createdate);

ALTER TABLE goal ADD COLUMN status TINYINT UNSIGNED DEFAULT 1 AFTER creatorid;
UPDATE goal SET status = '1' WHERE enabled = '1';
UPDATE goal SET status = '2' WHERE enabled = '0';
UPDATE goal SET status = '3' WHERE deleted = '1';
ALTER TABLE goal DROP COLUMN enabled, DROP COLUMN deleted;
Create Index ind_status ON goal (status);

UPDATE config SET system_version='1.1.1.0';
