<?php
/**
 * survey_lang.php - Language file for survey.
 *
 * @author $Author: dtong $
 * @version $Id: survey_lang.php,v 1.16 2012/05/10 13:03:23 dtong Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/

static $s_survey_lang = array(

	'survey_survey_number' => 'Survey Code',
	'survey_col_survey' => 'Survey:',
	'survey_col_option' => 'Option:',
	'survey_col_link_goal' => 'Link:',
	'survey_col_link_course' => 'Link:',
	'survey_col_title' => 'Title:',
	'survey_col_survey' => 'Survey:',
	'survey_col_startdate' => 'Start Date:',
	'survey_col_enddate' => 'End Date:',
	'survey_startdate' => 'Start Date',
	'survey_enddate' => 'End Date',
	'survey_field_title' => 'Title',
	'survey_field_survey' => 'Survey',

	'survey_btn_link_goal' => 'Link Goal',
	'survey_btn_link_course' => 'Link Course',
	'survey_btn_save' => 'Save',
	'survey_btn_cancel' => 'Cancel',

	'login_survey_title' => 'ZIS Survey System Login',
	'login_survey_username' => 'Username',
	'login_survey_password' => 'Password',
	'login_survey_btn_submit' => 'Submit',
	'login_survey_missingpassword' => 'Missing password',
	'login_survey_invalidlogin' => 'Invalid user name or incorrect password',
	'login_survey_msg_surveyid' => 'Invalid Surveyid',
	'login_survey_msg_survey_data' => 'Invalid Survey Data',
	'login_survey_msg_no_auth_types' => 'Invalid cms_survey_auth_types config',

//	'survey_display_creator_title' => 'Survey of school year',
	'survey_display_creator_teacher' => 'Teacher:',
	'survey_display_creator_department' => 'Course(s):',
	'survey_display_creator_block' => 'Period(s):',

	'survey_title' => 'Report Survey',
	'survey_no_choose' => 'The following choice are not used in any question',
	'survey_title_logout' => 'Logout',
	'survey_btn_logout' => 'Logout',
	'survey_login_name' => 'Name:',
	'survey_login_email' => 'Email:',

	'display_survey_title' => 'Display Survey',
	'display_survey_link_title' => 'Link',
	'display_survey_col_link' => 'Link:',
	'survey_msg_no_survey_cookie_name' => 'Invalid cms_survey_cookie_name config',

	'survey_create_title' => 'Create a new survey',
	'survey_edit_title' => 'Edit Survey',
	'survey_missing_input' => 'Error, please fill all the required fields.',
	'survey_courses' => 'Course(s):',
	'survey_blocks' => 'Period(s):',
	'survey_mycourses_select' => 'My Courses:',
	'survey_othercourses_select' => 'Other Courses:',
	'survey_create_error' => 'Error, failed to create survey. Please notify your administrator.',
	'survey_edit_error' => 'Error, failed to update survey. Please notify your administrator.',
	'survey_edit_success' => 'Survey updated.',
	'survey_course_select_error' => 'Error, please do not select the labels (My Courses or Other Courses) in the course drop-down/list.',
	'survey_btn_ok' => 'OK',
	'survey_failed_get_survey' => 'Error, failed to get survey. Please contact your administrator',
	'survey_url_link_label' => 'The survey URL link is:',
	'survey_url_link_msg1' => 'This is the URL link to take the newly created survey for teachers and students.',
	'survey_url_link_msg2' => 'You can always find this URL from the Survey edit page.',
	'survey_created_msg' => 'The survey has been created.',
	'survey_invalid_id_msg' => 'Invalid survey code.',
	'survey_na' => 'N/A',
	'survey_login_invalid_code' => 'Invalid survey code',
	'survey_startdate_label' => "Survey start date:",
	'survey_enddate_label' => "Survey end date:",
	'survey_expired_msg' => 'Survey has expired',
	'survey_result_done_btn' => 'Done',
	'survey_result_combined_btn' => 'Show Combined Results',
	'survey_done_success_msg' => 'Thank you for completing the survey.\n\nPlease close your browser or logout from this site if you do not have another survey to take.',
	'survey_done_failed_msg' => 'Sorry, an error has occured. Please login and try again.',
	'survey_done_incomplete_msg' => 'Please answer all questions for the survey.',
	'survey_default_title' => 'Survey for school year %s',
	'survey_list_title' => 'Surveys - %s',

//'Title','Courses','Blocks','Survey URL','Start Date','End Date'
	'survey_result_table_title' => 'Survey Title',
	'survey_result_combined_results' => 'Combined Survey Results',
	'survey_list_show_combined' => 'Show combined',
	'survey_list_table_title' => 'Title',
	'survey_list_table_survey' => 'Survey',
	'survey_list_table_courses' => 'Courses',
	'survey_list_table_blocks' => 'Periods',
	'survey_list_table_url' => 'Survey URL',
	'survey_list_table_startdate' => 'Start Date',
	'survey_list_table_enddate' => 'End Date',
	'survey_list_edit' => 'Edit',
	'survey_list_take' => 'Take',
	'survey_list_result' => 'Results',
	'survey_list_edit_alt' => 'Edit this survey',
	'survey_list_take_alt' => 'Take this survey',
	'survey_list_result_alt' => 'Result for this survey',
	'survey_list_combine_warning' => 'Do not mix different survey versions located in the "Survey" column above for the combined results.',
	'survey_teacher_results' => 'Teacher Result(s)',
	'survey_student_results' => 'Student Results',

	'survey_template_cant_change' => 'Survey contains results and modification is no longer allowed.',
	'survey_template_warning' => 'Please select the correct survey. This can not be modified once someone has taken the survey.',

	'survey_combine_results_error' => 'Sorry, you can not combine different surveys.',
	'survey_forms' => 'View Survey Forms',
	'survey_formlist_survey' => 'Survey',
	'survey_formlist_teacher_html' => 'Teacher Version in HTML',
	'survey_formlist_teacher_pdf' => 'Teacher Version in PDF',
	'survey_formlist_student_html' => 'Student Version in HTML',
	'survey_formlist_student_pdf' => 'Student Version in PDF',
	'survey_formlist_html' => 'View in HTML',
	'survey_formlist_pdf' => 'View in PDF',
	'survey_formlist_explain' => 'Surveys based on these forms can be created within your evaluation(s).',
	'survey_security_code' => 'Survey Access Code',
	'survey_invalid_security_code' => 'Invalid Access Code',
	'survey_missing_security_code' => 'Missing Access Code',
	'survey_disallow_multiple_surveys' => 'You have an active incomplete survey titled "%s".<br />Please find this incomplete survey from your browser or <a %s>Click Here</a> to continue.',
	'survey_authtype_nologin' => 'No login required',
	'survey_authtype_uselogin' => 'Requires LDAP login',
	'survey_col_islogin_flag' => 'Authentication:',
	'survey_col_code' => 'Access Code:',
	'survey_code_warning' => 'Survey access code is optional. Please provide this code to your students if one is assigned.',

);

$lang = &$s_survey_lang;
