<?php
/**
 * target_lang.php
 *
 * Language file for the learning targets and outcomes and skills.
 * This is for the tree menu LT and outcomes link and the LT/outcomes edit popups.
 *
 * @author $Author: dtong $
 * @version $Id: target_lang.php,v 1.32 2014/01/01 22:22:40 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
static $s_target_lang = array(

	'target_strand' => 'Strand',
	'target_standard' => 'Standard',
	'target_benchmark' => 'Benchmark',
	// We use 'target_benchmark' in multiple pages and this is necessary
	// so we can change the text for one the pages.
	'target_benchmark_ltedit' => 'Benchmark',
	'target_title' => "Learning Targets",
	'target_course' => 'Course',
	'target_notargetdelete' => 'No such learning target to delete',
	'target_faileddelete' => 'Failed to delete learning target',
	'target_cancel' => 'Cancel',
	'target_save' => 'Save',
	'target_kslegends' => 'K=Knowledge, S=Skill',
	'target_failedupdate' => 'Failed to update data, please try again later',
	'target_ittitle' => "Technology and Library Standards",
	'target_reverse' => "Reverse Unit Linking",
	'target_samples' => "Samples",
	'target_tlegends' => 'ICT',
	'target_llegends' => 'Lib',
	'target_knowledge' => 'K',
	'target_skill' => 'S',
	'target_move_up_alttext' => 'Up',
	'target_move_down_alttext' => 'Down',
	'target_delete_confirm_msg' => 'Are you sure to delete the following learning target?\n\n%s\n\n(This target will also be deleted from all units)',
	'target_delete_alttext' => 'Delete',
	'target_edit_page_title' => 'Add/Edit Course Specific Learning Targets',
	'target_read_page_title' => 'Benchmarks and Learning Targets',
	'target_no_data_msg' => 'Sorry, there are no strands, standards and benchmarks defined for the related department.',
	'target_edit_btn_alttext' => 'Add/Edit Learning Target(s)',
	'target_edit_win_title' => 'Add/Edit Learning Targets',

	'outcomes_title' => 'Add / Edit Outcomes and Skills',
	'outcomes_skills' => 'Outcomes and Skills',
	'outcomes_column_outcomes' => 'Outcome',
	'outcomes_column_skills' => 'Skills',
	'outcomes_button_add' => 'Add New Outcome',
	'outcomes_button_save' => 'Save',
	'outcomes_button_cancel' => 'Cancel',
	'outcomes_button_remove' => 'Remove Outcome',
	'outcomes_validate_save' => 'Sorry, you didn\'t enter any data.<br /><br />Please try again or press the Cancel button.',
	'outcomes_confirm_delete' => 'Are you sure to delete this skill?',
	'outcomes_confirm_remove' => 'Are you sure to delete this Outcome and all its Skills?',
	'outcomes_nodatamsg' => 'Sorry, there are no outcomes and skills defined for this course.',

	'outcomes_save_error' => 'Error',
	'outcomes_faileddelete' => 'Failed to delete skill',

	'target_title_pdf' => 'Target Export PDF',
	'target_button_pdf' => 'View PDF',
	'target_button_colse' => 'Close',

	'target_ict_ict_lib' => 'ICT/Lib',

	'outcomes_course_lnk_button_add' => 'Link Other OS',
	'outcomes_course_lnk_head' => 'Course Link',
	'outcomes_course_lnk_title_link' => 'Outcome and Skill Course Link(s)',
	'outcomes_course_lnk_title_os' => 'Add Outcome and Skill Course Link',
	'outcomes_course_lnk_title_lt' => 'Link Learning Targets From Courses',
	'outcomes_course_lnk_addcourse' => 'Add course(s) to list',
	'outcomes_course_lnk_deletecourse' => 'Remove course from list',
	'outcomes_course_lnk_select_course' => 'Please select one or more course(s)',
	'outcomes_course_lnk_result_course' => 'Selected Course Link(s)',
	'outcomes_course_lnk_footer_os' => 'The outcomes and skills from selected courses will be available on the OS selection pop-up from the unit page',
	'outcomes_course_lnk_footer_lt' =>
		'The arrow button in the center will become clickable after one or more courses are highlighted from the left course list.
	   The learning targets from the selected course(s) and their related department(s) will be available on the learning target pop-up page (red "LT" button) for all units in this course.
		This also links the essential questions in the professional version.',
	'outcomes_course_lnk_message' => 'Are you sure to remove this course?',
	'outcomes_course_lnk_button_close' => 'Close',
	'target_course_lnk_button_add' => 'Link From Other Courses',
	'target_course_lnk_title_link' => 'Learning targets from these course(s) and their related department(s) are linked (available in the units\' "LT" popup)',
	'target_course_lnk_course_none' => 'None',

	'target_tail_gc' => 'Select',
	'target_dept_lt_tag' => '(Dept. LT)',

);

$lang = &$s_target_lang;
